Ask Your Question
0

Minimum requirement to run Radeon RX 560

asked 2017-10-07 14:46:59 -0600

luya gravatar image

I just bought a Sapphire Radeon RX 560 to replace a dead card. For some reason, I got a black screen on boot and can only use with nomodeset. What is the minimum software requirement to fully run that card on an updated Fedora 26 and up. Thanks.

edit retag flag offensive close merge delete

Comments

Updated Fedora 26 should work out of the box with AMD GPU. What was your previous GPU (maybe some old config is messing things up)?

Post output of inxi -SGMxxz.

ozeszty gravatar imageozeszty ( 2017-10-09 13:42:19 -0600 )edit

Nvidia GTX 460 v2.

luya gravatar imageluya ( 2018-10-26 02:29:59 -0600 )edit

1 Answer

Sort by ยป oldest newest most voted
0

answered 2018-10-26 04:44:56 -0600

ozeszty gravatar image

The main requirement is an up to date system. Other then that make sure xorg-x11-drv-amdgpu and mesa-vulkan-drivers are installed.

If you used Nvidia's proprietary driver (installed separately, not the one available out of the box - nouveau) then you need to remove it. How to do that depends on where you installed it from, but installation instructions should have been followed by guide on how to remove it. dnf list installed *nvidia* should shed some light on that.

Also look into /etc/X11/xorg.conf.d/, if there are any Nvidia or GPU related config files, remove them.

edit flag offensive delete link more

Question Tools

1 follower

Stats

Asked: 2017-10-07 14:46:59 -0600

Seen: 439 times

Last updated: Oct 26 '18